Name:    ccextractor
Version: 0.88
Release: 2%{?dist}
Summary: Analyze videos and produce subtitles from closed-captioning data
Group:   Applications/Internet
License: GPLv2
URL:     https://www.ccextractor.org/
Source0: https://github.com/CCExtractor/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# Fedora-specific patch to unbundle vendored libraries.
Patch0:  ccextractor-0.88-unbundle-libs.patch

# Fix for -fno-common default in GCC 10
# Upstream fix: https://github.com/CCExtractor/ccextractor/pull/1226
Patch1:  ccextractor-0.88-fno-common.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc-c++
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(lept)
BuildRequires: pkgconfig(libpng16)
BuildRequires: pkgconfig(libprotobuf-c)
BuildRequires: pkgconfig(tesseract)
BuildRequires: pkgconfig(libutf8proc)
BuildRequires: pkgconfig(zlib)


%description
CCExtractor analyzes video files and produces independent subtitle files
from the closed captions data.


%prep
%autosetup -p1

# Lifted from package_creators/tarball.sh
cp linux/autogen.sh linux/pre-build.sh linux/configure.ac linux/Makefile.am .
sed -i -e 's/\.\.\/src/src/g' Makefile.am
sed -i -e 's/\.\.\/src/src/g' configure.ac
sed -i -e 's/\.\.\/src/src/g' pre-build.sh
sed -i -e 's/\.\.\/\.git/.git/g' pre-build.sh

# Use Fedora standard build flags.
sed -i -e 's/ -O3 -s//' Makefile.am

# Clean out bundled libraries
rm -rf src/freetype
rm -rf src/libpng
rm -rf src/protobuf-c
rm -rf src/utf8proc
rm -rf src/zlib

./autogen.sh

%build
CPPFLAGS="-I%{_includedir}/tesseract"
export CPPFLAGS
%configure --enable-ocr
%make_build


%install
%make_install


%files
%doc README.md docs
%defattr(-,root,root)
%{_bindir}/ccextractor
%license LICENSE.txt


%changelog
* Sat Feb  1 2020 Ed Marshall <esm@logic.net> - 0.88-2
- Add patch to build for GCC 10's -fno-common change

* Wed May  8 2019 Ed Marshall <esm@logic.net> - 0.88-1
- Initial build
